# Uses of Class
org.globus.io.streams.GlobusInputStream

Packages that use GlobusInputStream
Package
Description
org.globus.io.streams
Implements the standard Java I/O streams interface for a number of different protocols, including FTP, GSIFTP, HTTP, HTTPS, and File.
org.globus.io.urlcopy
This library provides a simple API for transferring a file from one location to another.

## Uses of GlobusInputStream in org.globus.io.streams

Subclasses of GlobusInputStream in org.globus.io.streams
Modifier and Type
Class
Description
`class`
`FTPInputStream`
`class`
`GassInputStream`
`class`
`GlobusFileInputStream`
`class`
`GridFTPInputStream`
`class`
`HTTPInputStream`

## Uses of GlobusInputStream in org.globus.io.urlcopy

Methods in org.globus.io.urlcopy that return GlobusInputStream
Modifier and Type
Method
Description
`protected GlobusInputStream`
UrlCopy.`getInputStream()`
Returns input stream based on the source url